<template>
  <ContentScrollView>
    <Cell :show-title="false">
      <CellChunk title="求职意向">
        <div class="curriculum-list">
          <CurriculumViewItem label="期望岗位：">
            <div class="curriculum-position-list">
              <div class="curriculum-position-list-item">客房服务员</div>
              <div class="curriculum-position-list-item">客房服务员</div>
              <div class="curriculum-position-list-item">客房服务员</div>
              <div class="curriculum-position-list-item">客房服务员</div>
              <div class="curriculum-position-list-item">客房员</div>
              <div class="curriculum-position-list-item">客房服务员</div>
              <div class="curriculum-position-list-item">客房服务员</div>
              <div class="curriculum-position-list-item">客房服务员</div>
            </div>
          </CurriculumViewItem>
          <CurriculumViewItem label="空闲时间：" text="不限"> </CurriculumViewItem>
          <CurriculumViewItem label="求职状态：" text="积极找工作"> </CurriculumViewItem>
        </div>
      </CellChunk>
      <CellChunk title="资格证书">
        <nut-grid
          square
          :column-num="3"
          :border="false"
          :gutter="20"
          v-if="list.length > 0"
          class="pro-img-grid"
        >
          <nut-grid-item v-for="(item, index) in list" :key="item" class="pro-img-grid-item">
            <div class="pro-img-grid-img-item">
              <PreviewImage :src="item" class="pro-img-grid-img" :urls="list" />
            </div>
          </nut-grid-item>
        </nut-grid>
      </CellChunk>
      <CellChunk title="工作经验">
        <CurriculumViewItem label="工作年限：" text="无工作经验，用户自己填写">
        </CurriculumViewItem>
        <CurriculumViewItem label="工作经验：" text="客房服务员，用户自己填写">
        </CurriculumViewItem>
      </CellChunk>
      <CellChunk title="详细信息">
        <CurriculumViewItem
          label="身高："
          text="175 cm"
          :label-width="labelWidth"
        ></CurriculumViewItem>
        <CurriculumViewItem
          label="体重："
          text="80 kg"
          :label-width="labelWidth"
        ></CurriculumViewItem>
        <CurriculumViewItem label="个人照片：">
          <nut-grid
            square
            :column-num="2"
            :border="false"
            :gutter="20"
            v-if="list.length > 0"
            class="pro-img-grid"
          >
            <nut-grid-item v-for="(item, index) in list" :key="item" class="pro-img-grid-item">
              <div class="pro-img-grid-img-item">
                <PreviewImage :src="item" class="pro-img-grid-img" :urls="list" />
              </div>
            </nut-grid-item>
          </nut-grid>
        </CurriculumViewItem>
      </CellChunk>
    </Cell>
  </ContentScrollView>
</template>

<script setup lang="ts">
import CurriculumViewItem from './CurriculumViewItem.vue';
import { PreviewImage } from '@12333/components';
import Taro from '@tarojs/taro';

defineOptions({
  name: 'curriculumView',
});

const labelWidth = Taro.pxTransform(120);

const list = ref([
  'https://storage.360buyimg.com/jdc-article/NutUItaro34.jpg',
  'https://storage.360buyimg.com/jdc-article/NutUItaro2.jpg',
  'https://storage.360buyimg.com/jdc-article/welcomenutui.jpg',
  'https://storage.360buyimg.com/jdc-article/fristfabu.jpg',
]);
</script>

<style lang="scss">
@import '@/styles/common.scss';

.flexJobDetail-page-wrapper {
  .curriculum-position-list {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    column-gap: 24px;
    row-gap: 16px;

    .curriculum-position-list-item {
      font-weight: 500;
      font-size: 24px;
      color: boleGetCssVar('color', 'warning');
      line-height: 36px;
    }
  }
}
</style>
